20110905pg upgrade fix

From PostgreSQL wiki

Revision as of 15:03, 18 May 2012 by Boshomi (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Contents

Critical Fix for pg_upgrade/pg_migrator Users 2011-09-05: Details

The following are details of the pg_upgrade and (formerly) pg_migrator fix published to the announce email list on 2011-09-05 and to be fixed in Postgres 8.4.9, 9.0.5, and the 9.1 final releases. (It is not fixed in 9.1rc1 and earlier 9.1 releases.)

What can you tell me about this bug?

It has been discovered that the bug fix outlined in 20110408pg_upgrade_fix did not fix problems for people upgrading from PostgreSQL 8.3. The same diagnosis and solutions outlined in 20110408pg_upgrade_fix apply for this bug (those who upgrade from PostgreSQL 8.3).

How can I get a fix?

You can wait for official releases or pull the current git tree for the desired branch. Most users who are upgrading from 8.3 need to build their own version of PostgreSQL anyway to adjust for the datetime storage format change in PostgreSQL 8.4 from float to 64-bit integer.

Who discovered this bug?

This problem was reported by depesz and diagnosed by Bruce Momjian.

Personal tools